api/urls.py
from .views import *
from django.urls import path
urlpatterns=[
    path('all-contents/',content_api),
    path('all-feedbacks/',all_feedback_api),
    path('add-content/<id>/',add_content_file_api),
    path('add-feedback/',add_feedback_api),
    path('login/',login_request_api),
    path('register/murid/',register_murid_api),
    path('register/guru/',register_guru_api),
    path('all-courses/', all_courses_api, name='all_courses'),
    path('participants/murid/', participants_murid_json_api),
    path('participants/murid-user/<id>', participants_murid_user_api),
    path('participants/guru/', participants_pengajar_json_api),
    path('participants/guru-user/<id>', participants_pengajar_user_api),
    path('participants/', participants_json_api),
    path('course/contents/<id>/', contents_json_api),
    path('course/summary/<id>/', summary_json_api),
    path('course/sections/<id>/', sections_api),
    path('course/sections/add/<id>/', add_section_api),
    path('section/<id>/add/<sectionid>/', add_section_post_api),
    path('section/<id>/', sections_posts_api),
    path('user/<id>/', view_json_api),
    path('update_user/<id>/', update_user_api),
    path('forum/main/<id>/', forum_post_api),
    path('forum/createpost/<courseid>/<usrid>', create_post_api),
    path('forum/createreply/<id>/<usrid>', reply_api),
    path('forum/<id>/', reply_api),
]

content/urls.py
from django.urls import path, include
from django.conf.urls import url
from . import views

app_name = 'content'

urlpatterns = [
    path('^course/<id>/', include('main.urls')),
    path('main/course/<courseid>/', views.index, name='index'),
    path('main/course/<courseid>/add-content/', views.add_content, name='add_content'),
    path('', views.index, name='index'),
    url(r'^delete/(?P<courseid>\d+)/(?P<pk>\d+)/', views.delete_content, name='delete_content'),
]

project_uts/urls.py
from django.contrib import admin
from django.urls import include, path
from  rest_framework.routers import DefaultRouter
from ujian.views import *

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('helpdesk/', include('helpdesk.urls')),
    path('forum/', include('forum.urls')),
    path('content/', include('content.urls')),
    path('quiz/', include('ujian.urls')),
    path('api/', include('api.urls')),
]

content/models.py
from django.db import models
from main.models import *
# Create your models here.
class Content(models.Model):
    course = models.ForeignKey(Course, null=True, on_delete = models.CASCADE)
    title = models.CharField(max_length=50)
    file = models.URLField(null=True)

    def __str__(self):
        return self.title

content/forms.py
from django import forms
from django.db.models import fields
from .models import Content

class ContentForm(forms.ModelForm):
    class Meta:
        model = Content
        fields = ('title', 'file')

content/views.py
from django.shortcuts import render, redirect, get_object_or_404
from django.http.response import HttpResponse
from django.contrib.auth.decorators import login_required
from django.contrib.auth.forms import AuthenticationForm
from django.views.decorators.http import require_POST
from .models import Content
from .forms import ContentForm
from main.models import Course
from django.contrib import messages
from django.views.decorators.csrf import csrf_exempt
from django.http import JsonResponse

# Create your views here.
@login_required(login_url = '/login/')
def index(request, courseid):
    course = Course.objects.get(id = courseid)
    content = Content.objects.filter(course = course)
    response = {'contents': content}
    return render(request, 'content_index.html', response)

@login_required(login_url = '/login/')
def add_content(request, courseid):
    form = ContentForm(request.POST)
    if request.is_ajax():
        form = ContentForm(request.POST)
        if (request.user.is_pengajar):
            if (form.is_valid()):
                form.save()
                course = Course.objects.get(id=courseid)
                latest = Content.objects.last()
                latest.course = course
                latest.save()
                return JsonResponse({'message': 'success'})
            else:
                return JsonResponse({'message': 'failed'})
    response = {'form': form}
    return render(request, 'add_content.html', response)

@csrf_exempt
def delete_content(request, courseid, pk):
    content = Content.objects.get(id=pk)
    if (request.user.is_pengajar):
        if (request.method == "POST"):
            content.delete()
            return redirect('/content/main/course/%s/'%courseid)
    response = {}
    return render(request, 'delete_content.html', response)

content/templates/add_content.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Add Content</title>
{% endblock meta %}

{% block content %}
<body>
  {%if request.user.is_superuser or request.user.is_pengajar %}
  <h3 class="header">Add Content</h3>
  <form id="form" action="add_content.html" method="POST">
    {% csrf_token %}
    {{form.as_p}}
    <button type="submit" class="btn green">Submit</button>
  </form>
  {%else%}
  <h2>You are not authorized</h2>
  {%endif%}

  <script src="https://code.jquery.com/jquery-3.5.0.min.js"
    integrity="sha256-xNzN2a4ltkB44Mc/Jz3pT4iU1cmeR0FkXs4pru/JxaQ="
    crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
    integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
    crossorigin="anonymous"></script>
  <script>
    const form = document.getElementById('form');
    form.addEventListener("submit", submitHandler);   
    var url = window.location.toString();

    function submitHandler(e) {
      e.preventDefault();
      $.ajax({
          type: 'POST',
          url: url,
          data: $('#form').serialize(),
          dataType: 'json',
          success: function(data) {
            if (data.message === 'success') {
              alert('Succesfully added!');
              form.reset()
            } else {
              alert("Adding content failed.");
            }
          }
      })
    }

  </script>
</body>
{% endblock content %}

content/templates/content_index.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Content List</title>
{% endblock meta %}

{% block content %}
<head>
    <style>
        .card {
            position: relative;
            width: 800px;
            height: 50px;
        }
        .click { 
            position: absolute; 
            top: 7px; 
            right: 10px; 
        } 
    </style>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css">
    <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
    <script>
        $(document).ready(function(){
            $('.click').click(function(){
                var retVal = confirm("Are you sure you want to delete?");
                if (retVal == true){
                    alert("Content permanently deleted.");
                    return true;
                } 
                else {
                    return false;
                }
            });
        });
    </script>
</head>
<body>
    <div class="container">
        {%if request.user.is_superuser or request.user.is_pengajar %}
        <a href="add-content/" class="btn-floating btn-large waves-effect waves-light green"><i class="material-icons">add</i>Add Content</a>
        {%endif%}
        {% for i in contents %}
                <div class="card">
                    <form action="{% url 'content:delete_content' i.course.id i.id %}" method="post">
                        <p class="card-title align-items-center d-flex justify-content-center"><a href="{{ i.file }}" target="_blank" rel="noopener noreferrer">{{ i.title }}</a></p>
                        {%if request.user.is_superuser or request.user.is_pengajar %}
                            <button type='submit' class="click btn red">Delete</button>
                        {%endif%}
                    </form>
                </div>
        {% endfor %} 
    </div>  
</body>
{% endblock %}

content/templates/delete_content.html
{% load static %}
{% block content %}

<br>
<div class="row">
	<div class="col-md-6">
		<div class="card card-body">
			<p>Are you sure you want to delete "{{content}}"?</p>

			<form action="{% url 'delete_content' content.pk %}" method="POST">
				
				{% csrf_token %}
				<a class="btn btn-warning" href="{% url '' %}">Cancel</a>

				<input class="btn btn-danger" type="submit" name="Confirm">
			</form>
		</div>
	</div>
</div>

{% endblock %}